﻿#pragma strict

var currentIndex:int; //where we are right now. 
var firstIndex:int; //first possible hash index.
var lastIndex:int; //last possible hash index.
//hash variables (sets of related data).
var sceneNameHash:Hashtable; //text scene names
//references to our navigation buttons.
var firstButton:GameObject;
var previousButton:GameObject;
var nextButton:GameObject;
var lastButton:GameObject;
//alpha levels
var alphaActive:float;
var alphaInactive:float;

function Start () {

	alphaActive = 1;
	alphaInactive = .2;
	
	firstIndex = 1;
	currentIndex = firstIndex;
	
	firstButton = GameObject.FindWithTag("firstButton");
	previousButton = GameObject.FindWithTag("previousButton");
	nextButton = GameObject.FindWithTag("nextButton");
	lastButton = GameObject.FindWithTag("lastButton");
	
	sceneNameHash = new Hashtable(); 
	
	sceneNameHash.Add(1, "frame1");
	sceneNameHash.Add(2, "frame2");
	sceneNameHash.Add(3, "dragAndDrop");
	sceneNameHash.Add(4, "frame4");
	sceneNameHash.Add(5, "frame5");
		
	lastIndex = sceneNameHash.Count;
	
	gotoAndStop(currentIndex);	
	//updateNavigation();
	changeAlpha(firstButton, .2);
}

function Update () {

}

// Make the navigation panel that is a parent to this script, with all children (including this script)
// persist no matter what gets loaded.  
function Awake () {
	DontDestroyOnLoad(this.transform.parent);
}

function gotoAndStop(newHash:int) {
	//find the specified scene name
	var newScene:String = sceneNameHash[newHash];
	//load the scene
	Application.LoadLevel(newScene);
	//update the current index.
	currentIndex = newHash;	
}

function nextFrame() {
	if(currentIndex < lastIndex) {
		gotoAndStop(currentIndex+1);
	}
}

function prevFrame() {
	if(currentIndex > firstIndex) {
		gotoAndStop(currentIndex-1);
	}
}

function changeAlpha(changeThis:GameObject, newAlpha:float) {
	//Debug.Log(firstButton.GetComponent(Image));
	//firstButton.GetComponent(label).text = "blah";
	
	//GetComponent<Image>().color.a = newAlpha;
	//changeThis.Destroy(changeThis);
	changeThis.GetComponent(Image).Color.a = .2;
}

function updateNavigation() {
	changeAlpha(firstButton, alphaActive);
	changeAlpha(previousButton, alphaActive);
	changeAlpha(nextButton, alphaActive);
	changeAlpha(lastButton, alphaActive);	
	if(currentIndex == firstIndex) {
		changeAlpha(firstButton, alphaInactive);
		changeAlpha(previousButton, alphaInactive);
	} else if (currentIndex == lastIndex) {
		changeAlpha(nextButton, alphaInactive);
		changeAlpha(lastButton, alphaInactive);	
	} 
}